Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002858OCamlOCaml generalpublic2004-06-25 17:042008-10-04 12:57
Reporteradministrator 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.10.0 
Summary0002858: Suggestion pour pr_o
DescriptionHello,

Pour des applications qui produisent du source Caml, on peut avoir envie
d'utiliser le pretty-printer pr_o de Camlp4 (ce qui permet de générer du
code avec la quotation q_MLast). Or pr_o depend de Pcaml. On voudrait
juste récuperer des fonctions de type:

MLast.expr -> string

ou approchant (et pareil avec MLast.str_item, etc...)

J'imagine que pour faire ça, il faudrait découper pr_o en deux (un module
qui fait le boulot, l'autre qui s'enregistre auprès de Pcaml).


À bientôt (pour ceux qui sont à Rocquencourt) !


-- Alain, qui ne comprend pas toujours l'architecture de Camlp4

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2008-10-04 12:57 ertai Status acknowledged => closed
2008-10-04 12:57 ertai Resolution open => fixed
2008-10-04 12:57 ertai Fixed in Version => 3.10.0
2008-10-04 12:57 ertai Description Updated


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker